Bug 52997 - gdm
gdm
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-01 11:13 EDT by Leonid Kanter
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-04 17:18:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2001-09-01 11:13:20 EDT
Description of Problem:

Ukrainian language, officially supported by installer, is missed from gdm
languages list.

Version-Release number of selected component (if applicable):

gdm-2.2.3.1-18
Comment 1 Havoc Pennington 2001-09-04 16:54:28 EDT
I need to add a line to /etc/X11/gdm/locale.alias. For Russian it is:
russian         ru_RU.ISO-8859-5

What is the equivalent line for ukrainian?
Comment 2 Leonid Kanter 2001-09-04 17:18:39 EDT
No!!! For Russian it must be ru_RU.KOI8-R. See my comments to bug #52381. For
Ukrainian - uk_UA.KOI8-U. ru_RU.ISO-8859-5 lives only on Sun Solaris.
Comment 3 Havoc Pennington 2001-09-04 17:44:35 EDT
Patching as follows in gdm-2.2.3.1-20

--- gdm-2.2.3.1/config/locale.alias.ukrainian	Tue Sep  4 16:49:26 2001
+++ gdm-2.2.3.1/config/locale.alias	Tue Sep  4 17:46:50 2001
@@ -56,9 +56,11 @@
 polish          pl_PL.ISO-8859-2
 portuguese      pt_PT.ISO-8859-1
 romanian        ro_RO.ISO-8859-2
-russian         ru_RU.ISO-8859-5
+russian         ru_RU.KOI8-R
 slovak          sk_SK.ISO-8859-2
 slovenian       sl_SI.ISO-8859-2
 spanish         es_ES.ISO-8859-1
 swedish         sv_SE.ISO-8859-1
 turkish         tr_TR.ISO-8859-9
+ukrainian       uk_UA.KOI8-U
+
Comment 4 Leonid Kanter 2001-09-04 17:51:38 EDT
yes, it will work

Note You need to log in before you can comment on or make changes to this bug.